package com.phm.manage.service;

import java.util.List;

import com.phm.manage.domain.Sortie;

/**
 * 架次信息Service接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface ISortieService {
    /**
     * 查询架次信息
     *
     * @param id 架次信息主键
     * @return 架次信息
     */
    public Sortie selectSortieById(Long id);

    /**
     * 查询架次信息列表
     *
     * @param sortie 架次信息
     * @return 架次信息集合
     */
    public List<Sortie> selectSortieList(Sortie sortie);

    /**
     * 新增架次信息
     *
     * @param sortie 架次信息
     * @return 结果
     */
    public int insertSortie(Sortie sortie);

    /**
     * 修改架次信息
     *
     * @param sortie 架次信息
     * @return 结果
     */
    public int updateSortie(Sortie sortie);

    /**
     * 批量删除架次信息
     *
     * @param ids 需要删除的架次信息主键集合
     * @return 结果
     */
    public int deleteSortieByIds(Long[] ids);

    /**
     * 删除架次信息信息
     *
     * @param id 架次信息主键
     * @return 结果
     */
    public int deleteSortieById(Long id);
}
